GSI_Toolbox 1.0.0 A toolbox for Gas-Surface Interaction simulations

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Surface< T > Class Template Reference

A class representing a surface with geometry and statistical properties. More...

`#include <Surface.h>`

## Public Member Functions
| Surface ()
| Default constructor for Surface class.
| Surface (std::string geometry_file, std::string properties_file)
| Parameterized constructor for Surface class.
| ~Surface ()
| Destructor for Surface class.
void | import_properties (std::string properties_file)
| Imports surface properties from a file.
Matrix< T > | get_mu_coefficients ()
| Retrieves the mu coefficients for the surface.
Matrix< T > | get_sigma_coefficients ()
| Retrieves the sigma coefficients for the surface.
Geometry< T > & | get_geometry ()
| Retrieves the geometry of the surface.
T | autocorrelation_length ()
| Retrieves the autocorrelation length of the surface.
T * | get_local_parameters ()
| Retrieves the local parameters of the surface.

## Detailed Description

template<typename T>
class Surface< T >

A class representing a surface with geometry and statistical properties.

The Surface class stores the geometric data and statistical properties (e.g., autocorrelation length, mu and sigma coefficients) required for surface modeling and interaction in simulations.

Template Parameters

  T | Type parameter for numerical data (typically float or double).

## Constructor & Destructor Documentation

## ◆ Surface() [1/2]

template<typename T >

Surface< T >::Surface | ( |  | ) |

Default constructor for Surface class.

Default constructor for Surface.

Initializes the autocorrelation length to 0.

## ◆ Surface() [2/2]

template<typename T >

Surface< T >::Surface | ( | std::string | geometry_file,
|  | std::string | properties_file )

Parameterized constructor for Surface class.

Parameterized constructor for Surface.

Parameters

  geometry_file | The file containing surface geometry data.
  properties_file | The file containing surface properties (e.g., mu, sigma coefficients).

Initializes the geometry from a file and imports surface properties from another file.

Parameters

  geometry_file | The file containing surface geometry data.
  properties_file | The file containing surface properties (e.g., mu, sigma coefficients).

## ◆ ~Surface()

template<typename T >

Surface< T >::~Surface | ( |  | ) |

Destructor for Surface class.

Destructor for Surface.

Resets the autocorrelation length to 0.

Sets the autocorrelation length to 0 upon destruction.

## Member Function Documentation

## ◆ autocorrelation_length()

template<typename T >

T Surface< T >::autocorrelation_length | ( |  | ) |
| inline

Retrieves the autocorrelation length of the surface.

Returns
  The autocorrelation length of the surface.

## ◆ get_geometry()

template<typename T >

Geometry< T > & Surface< T >::get_geometry | ( |  | ) |
| inline

Retrieves the geometry of the surface.

Returns
  A reference to the geometry object of the surface.

## ◆ get_local_parameters()

template<typename T >

T * Surface< T >::get_local_parameters | ( |  | ) |
| inline

Retrieves the local parameters of the surface.

Returns
  A pointer to the local parameters array.

## ◆ get_mu_coefficients()

template<typename T >

Matrix< T > Surface< T >::get_mu_coefficients | ( |  | ) |
| inline

Retrieves the mu coefficients for the surface.

Returns
  The mu coefficients as a Matrix object.

## ◆ get_sigma_coefficients()

template<typename T >

Matrix< T > Surface< T >::get_sigma_coefficients | ( |  | ) |
| inline

Retrieves the sigma coefficients for the surface.

Returns
  The sigma coefficients as a Matrix object.

## ◆ import_properties()

template<typename T >

void Surface< T >::import_properties | ( | std::string | properties_file | ) |

Imports surface properties from a file.

Imports the surface properties from a file.

Reads the surface properties, such as mu and sigma coefficients, and autocorrelation length from the provided properties file.

Parameters

  properties_file | The file containing surface properties.

Reads the mu and sigma coefficients and autocorrelation length from the properties file and stores them in the appropriate member variables.

Parameters

  properties_file | The file containing surface properties.

The documentation for this class was generated from the following file:

- src/Surface.h